org.apache.commons.jelly.tags.junit

## Class AssertEqualsTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.xpath.XPathTagSupport
    - - org.apache.commons.jelly.tags.junit.AssertTagSupport
      - - org.apache.commons.jelly.tags.junit.AssertEqualsTag

All Implemented Interfaces:
  Tag

    public class AssertEqualsTag
    extends AssertTagSupport

Compares an actual object against an expected object and if they are different then the test will fail.

Version:
  $Revision: 391469 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`AssertEqualsTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`void` `setActual(Expression actual)` Sets the actual value which will be compared against the expected value.
`void` `setExpected(Expression expected)` Sets the expected value to be tested against

### Methods inherited from class org.apache.commons.jelly.tags.junit.AssertTagSupport

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, fail, failNotEquals`

### Methods inherited from class org.apache.commons.jelly.xpath.XPathTagSupport

`getXPathContext`

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AssertEqualsTag

    public AssertEqualsTag()

### Method Detail

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `JellyTagException`

#### setActual

    public void setActual(Expression actual)

Sets the actual value which will be compared against the expected value.

#### setExpected

    public void setExpected(Expression expected)

Sets the expected value to be tested against